aries-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Guillaume Nodet <gno...@gmail.com>
Subject Re: BluePrint JPA JTA xmlns problem
Date Sun, 26 Sep 2010 06:40:06 GMT
FWIW, if you remove those two packages, it will work until you try to use
JDBC + XA i think.

On Sun, Sep 26, 2010 at 03:11, LongkerDandy <longkerdandy@gmail.com> wrote:

> OK
>
> Felix provide a default configuration file, taking it as example, I can now
> export the necessary packages.
> But I don't know how to set the "partial=true;mandatory:=partial" to these
> two packages
> I tried "javax.transaction;partial=true;mandatory:=partial;\" but not
> works.
> For now I just removed these two packages.
>
>
>
> On Sun, Sep 26, 2010 at 8:54 AM, LongkerDandy <longkerdandy@gmail.com>wrote:
>
>> I'm trying to set there on felix, but get a lot of errors:
>>
>>      java.lang.NoClassDefFoundError: org/osgi/framework/BundleActivator
>>
>> Any clue?
>>
>> Thanks
>> LongkerDandy
>>
>>
>> On Sun, Sep 26, 2010 at 1:20 AM, Valentin Mahrwald <
>> vmahrwald@googlemail.com> wrote:
>>
>>> Hi,
>>>
>>> Does bundle 6 (the connectors) correctly get its javax.transaction.xa
>>> package from bundle 8, the JTA spec? If it gets from the system bundle you
>>> probably have run afoul of the transaction split package problem (its in the
>>> base JDK as well as the in the JTA spec bundle).
>>>
>>> The blog sample setup has a bit of magic to make sure that the
>>> transaction package is coming from the geronimo bundle rather than the
>>> system bundle:
>>>
>>> org.osgi.framework.system.packages=\
>>> ... all JDK packages
>>> javax.transaction;partial=true;mandatory:=partial,\
>>> javax.transaction.xa;partial=true;mandatory:=partial
>>>
>>> Hope this helps,
>>>
>>> Valentin
>>>
>>> On 25 Sep 2010, at 10:09, LongkerDandy wrote:
>>>
>>> Hi
>>>
>>> What I did is just follow the blog sample from the lastest svn code.
>>> I do have those two bundles, only thing I;m missing is two transaction
>>> manager bundle, which I have some problem starting them,
>>> I post another thread for that.
>>> I'm using felix and my bundles are:
>>>
>>>     0|Active     |    0|System Bundle (3.0.2)
>>>     1|Active     |    1|ASM all classes (3.2.0)
>>>     2|Active     |    1|Commons Collections (3.2.1)
>>>     3|Active     |    1|Commons Lang (2.5.0)
>>>     4|Active     |    1|Commons Pool (1.5.4)
>>>     5|Active     |    1|Apache Derby 10.6 (10.6.1000000.938214)
>>>     6|Active     |    1|geronimo-j2ee-connector_1.5_spec (2.0.0)
>>>     7|Active     |    1|Apache Geronimo JSR-317 JPA 2.0 Spec API (1.1.0)
>>>     8|Active     |    1|geronimo-jta_1.1_spec (1.1.1)
>>>     9|Installed  |    1|Geronimo TxManager :: Transaction (2.1.3)
>>>    10|Active     |    1|Gson (1.4.0)
>>>    11|Active     |    1|jcl-over-slf4j (1.6.1)
>>>    12|Active     |    1|The Netty Project (3.2.2.Final)
>>>    13|Active     |    1|OpenJPA Aggregate Jar (2.0.1)
>>>    14|Active     |    1|Apache Aries Blueprint Bundle
>>> (0.3.0.incubating-SNAPSHOT)
>>>    15|Active     |    1|Apache Aries JNDI Bundle
>>> (0.3.0.incubating-SNAPSHOT)
>>>    16|Active     |    1|Aries JPA Container API
>>> (0.3.0.incubating-SNAPSHOT)
>>>    17|Active     |    1|Aries JPA Container blueprint integration for
>>> Aries blueprint (0.3.0.incubating-SNAPSHOT)
>>>    18|Active     |    1|Aries JPA Container (0.3.0.incubating-SNAPSHOT)
>>>    19|Active     |    1|Aries JPA Container Managed Contexts
>>> (0.3.0.incubating-SNAPSHOT)
>>>    20|Active     |    1|Apache Aries Quiesce API
>>> (0.3.0.incubating-SNAPSHOT)
>>>    21|Active     |    1|Apache Aries Quiesce Manager
>>> (0.3.0.incubating-SNAPSHOT)
>>>    22|Active     |    1|Apache Aries blog sample transaction enlisting
>>> JDBC datasource (0.3.0.incubating-SNAPSHOT)
>>>    23|Active     |    1|Apache Aries Transaction Blueprint
>>> (0.3.0.incubating-SNAPSHOT)
>>>    24|Installed  |    1|Apache Aries Transaction Manager
>>> (0.3.0.incubating-SNAPSHOT)
>>>    25|Active     |    1|Apache Aries Transaction Enlisting JDBC
>>> Datasource (0.3.0.incubating-SNAPSHOT)
>>>    26|Active     |    1|Apache Aries Util (0.3.0.incubating-SNAPSHOT)
>>>    27|Active     |    1|Apache Felix Bundle Repository (1.6.4)
>>>    28|Active     |    1|Apache Felix Configuration Admin Service (1.2.8)
>>>    29|Active     |    1|Apache Felix EventAdmin (1.2.4)
>>>    30|Active     |    1|Apache Felix Gogo Command (0.6.0)
>>>    31|Active     |    1|Apache Felix Gogo Runtime (0.6.0)
>>>    32|Active     |    1|Apache Felix Gogo Shell (0.6.0)
>>>    33|Active     |    1|Apache ServiceMix Bundles: serp-1.13.1 (1.13.1.2)
>>>    34|Active     |    1|XXXXXX
>>>    35|Active     |    1|XXXXXXXX
>>>    36|Active     |    1|slf4j-api (1.6.1)
>>>    37|Resolved   |    1|slf4j-simple (1.6.1)
>>>
>>> I may try the blog build later on.
>>>
>>> Regards
>>> LongkerDandy
>>>
>>> On Sat, Sep 25, 2010 at 9:57 PM, Valentin Mahrwald <
>>> vmahrwald@googlemail.com> wrote:
>>>
>>>> Hi LongerDandy,
>>>>
>>>> that sounds like you don't have the bundles that supply the namespaces
>>>> (or they are not active for whatever reason). The namespaces are included
in
>>>> org.apache.aries.jpa.blueprint and org.apache.aries.transaction.blueprint,
>>>> which you will need in addition to core blueprint if you want to use
>>>> declarative transactions and JPA service injection. You will also need a
>>>> number of other support bundles. I would suggest copying from the blog
>>>> assembly configuration in
>>>> samples/blog/blog-assembly/src/main/filtered-resources/configuration/config.ini.
>>>> It has a setup where both blueprint extensions are used.
>>>>
>>>> Regards,
>>>>
>>>> Valentin
>>>>
>>>> On 25 Sep 2010, at 09:44, LongkerDandy wrote:
>>>>
>>>> Hi
>>>>
>>>> I get a strange error like this:
>>>>
>>>> 1848 [Blueprint Extender: 2] WARN
>>>> org.apache.aries.blueprint.container.BlueprintContainerImpl - Bundle
>>>> org.chii2.medialibrary is waiting for namespace handlers
>>>> [(&(objectClass=org.apache.aries.blueprint.NamespaceHandler)(osgi.service.blueprint.namespace=
>>>> http://aries.apache.org/xmlns/transactions/v1.0.0)<http://aries.apache.org/xmlns/transactions/v1.0.0%29>
>>>> )]
>>>>
>>>> To me, both "http://aries.apache.org/xmlns/transactions/v1.0.0" "
>>>> http://aries.apache.org/xmlns/jpa/v1.0.0" are not accessible.
>>>> Do I miss anything?
>>>>
>>>> Regards
>>>> LongkerDandy
>>>>
>>>>
>>>>
>>>
>>>
>>
>


-- 
Cheers,
Guillaume Nodet
------------------------
Blog: http://gnodet.blogspot.com/
------------------------
Open Source SOA
http://fusesource.com

Mime
View raw message